DCMTK - Bug #470

MSC6 weirdness in dcmnet/scppool.h
2013-01-15 12:07 - Uli Schlachter

Status: Closed Start date: 2013-01-15
Priority: Low Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Testing Estimated time: 0:00 hour
Target version: 3.6.1+

Module: dcmnet Compiler:

Operating System:

Description
| built the toolkit as DLLs. dcmnet compiled fine, but while compiling dcmnet_tests, the following error occured:

decmnet/include/decmtk/dcmnet/scppool.h(266) : error C2899: typename cannot be used outside a template declaration
No idea what MSC6 suddenly doesn't like anymore. It did not complain while building dcmnet itself. :-/

Ideas, Anyone?

History

#1 - 2013-01-28 11:55 - Michael Onken

- Assignee changed from Michael Onken to Jan Schlamelcher

#2 - 2013-04-08 18:09 - Jan Schlamelcher
- Status changed from New to Feedback

- % Done changed from 0 to 100

Should be fixed now. It seems that typename != typename. One appearance of typename had to be replaced by "OF Typename", so this appearance
is removed when compiling with VC6.

#3 - 2013-08-15 15:31 - J6rg Riesmeier

- Target version changed from 3.6.1 to 3.6.1+

#4 - 2015-09-25 12:10 - J6rg Riesmeier
- Status changed from Feedback to Closed

Since we dropped support for VCB, this issue should be solved in any case.
